package com.raywenderlich.timefighter

import android.os.Bundle
import android.os.CountDownTimer
import android.support.v7.app.AppCompatActivity
import android.widget.Button
import android.widget.TextView
import android.widget.Toast

class GameActivity : AppCompatActivity() {
    internal lateinit var gameScoreTextView: TextView
    internal lateinit var timeLeftTextView: TextView
    internal lateinit var tapMeButton: Button
    internal var score = 0

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_game)

        // 1
        gameScoreTextView = findViewById<TextView>(R.id.game_score_text_view)

        timeLeftTextView = findViewById<TextView>(R.id.time_left_text_view)

        tapMeButton = findViewById<Button>(R.id.tap_me_button)

// 2
        tapMeButton.setOnClickListener { v -> incrementScore() }

        // connect views to variables
    }

    private fun incrementScore() {
        score++

        val newScore = "Your Score: " + Integer.toString(score)
        gameScoreTextView.text = newScore
    }

    private fun resetGame() {
        // reset game logic
    }

    private fun startGame() {
        // start game logic
    }

    private fun endGame() {
        // end game logic
    }
}